@if (!edit) {
  <div class="flex-row" [ngClass]="getComponentClasses()">
    @if (value) {
      <span class="field-value-color" (click)="enableEditMode()">
        {{ value }}
      </span>
    } @else {
      @if (editable) {
        <span class="sqtm-placeholder" (click)="enableEditMode()">
          {{
            !!placeholder
              ? placeholder
              : ('sqtm-core.generic.editable.placeholder' | translate)
          }}
        </span>
      }
    }
    @if (editable) {
      <i
        class="pencil-icon flex-fixed-size"
        nz-icon
        nzType="edit"
        nzTheme="outline"
        (click)="enableEditMode()"
      ></i>
    }
  </div>
}
@if (edit) {
  <div class="flex-column" [ngClass]="getComponentClasses()">
    <div class="flex full-width">
      <nz-input-number
        class="full-width"
        [nzAutoFocus]="true"
        [ngClass]="getInputFieldCss()"
        [nzSize]="size"
        [nzMax]="max"
        [nzMin]="min"
        [(ngModel)]="model"
        (focusout)="handleBlur($event)"
        (keyup)="handleKeyboardInput($event)"
        ngDefaultControl
      ></nz-input-number>
      @if (mustShowButtons()) {
        <button
          nz-button
          nzType="primary"
          class="editable-numeric-field-confirm-button"
          [ngClass]="getConfirmButtonCss()"
          [nzSize]="size"
          [nzLoading]="pending"
          (click)="confirm()"
        >
          <i nz-icon [nzType]="'check'"></i>
          @if (mustShowButtonLabels()) {
            {{ 'sqtm-core.generic.label.confirm' | translate | capitalize }}
          }
        </button>
        <button
          nz-button
          nzType="default"
          class="editable-numeric-field-cancel-button"
          [nzSize]="size"
          [ngClass]="getCancelButtonCss()"
          [nzLoading]="pending"
          (click)="cancel()"
        >
          <i nz-icon [nzType]="'close'"></i>
          @if (mustShowButtonLabels()) {
            {{ 'sqtm-core.generic.label.cancel' | translate | capitalize }}
          }
        </button>
      }
    </div>
    @if (dirty && externalErrors.length > 0) {
      <div class="flex-column full-width has-error m-t-10">
        @for (error of externalErrors; track error) {
          <span class="sqtm-core-error-message">{{ error }}</span>
        }
      </div>
    }
  </div>
}
